Sms reply
curl --request POST \
--url https://api.sortx.co.uk/telephony/sms/threads/{id}/reply \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"clientId": "<string>",
"text": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({clientId: '<string>', text: '<string>'})
};
fetch('https://api.sortx.co.uk/telephony/sms/threads/{id}/reply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/telephony/sms/threads/{id}/reply"
payload = {
"clientId": "<string>",
"text": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"direction": "inbound",
"clientId": "<string>",
"body": "<string>",
"bodyPurgedAt": "<string>",
"keyword": "stop",
"delivery": "sending",
"deliveryDetail": "<string>",
"retryAt": "<string>",
"authorUserId": "<string>",
"at": "<string>",
"media": [
{
"id": "<string>",
"contentType": "<string>",
"stored": true,
"error": "<string>"
}
]
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}telephony
Sms reply
Reply by SMS from the number the person texted (queued on the durable outbox)
POST
/
telephony
/
sms
/
threads
/
{id}
/
reply
Sms reply
curl --request POST \
--url https://api.sortx.co.uk/telephony/sms/threads/{id}/reply \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"clientId": "<string>",
"text": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({clientId: '<string>', text: '<string>'})
};
fetch('https://api.sortx.co.uk/telephony/sms/threads/{id}/reply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/telephony/sms/threads/{id}/reply"
payload = {
"clientId": "<string>",
"text": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"direction": "inbound",
"clientId": "<string>",
"body": "<string>",
"bodyPurgedAt": "<string>",
"keyword": "stop",
"delivery": "sending",
"deliveryDetail": "<string>",
"retryAt": "<string>",
"authorUserId": "<string>",
"at": "<string>",
"media": [
{
"id": "<string>",
"contentType": "<string>",
"stored": true,
"error": "<string>"
}
]
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Body
application/json
Response
Success
Available options:
inbound, outbound Available options:
stop, start, help Available options:
sending, retrying, deferred, sent, delivered, unconfirmed, failed, withheld Show child attributes
Show child attributes